Internal (Ops)
POST
/promote-adminCreate Promote Admin
Internal ops app (port 5002, no api_version, guarded by the internal token header).
Request
Example
curl -X POST '{{internal_base_url}}/promote-admin' \
-H 'Content-Type: application/json' \
-d '{
"uuid": "{{service_account_id}}"
}'Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
| Name | Type | Value |
|---|---|---|
| uuid | string | {{service_account_id}} |
{
"uuid": "{{service_account_id}}"
}Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"email": null,
"message": "<string>",
"uuid": null
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"error": "<string>"
}404404 Not Found
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"error": "<string>"
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"error": null
}